| GET | /RestApi/translations/projects/{id}/jobs |
|---|
import 'package:servicestack/servicestack.dart';
class GetProjectJobs implements IConvertible
{
String? Id;
GetProjectJobs({this.Id});
GetProjectJobs.fromJson(Map<String, dynamic> json) { fromMap(json); }
fromMap(Map<String, dynamic> json) {
Id = json['Id'];
return this;
}
Map<String, dynamic> toJson() => {
'Id': Id
};
getTypeName() => "GetProjectJobs";
TypeContext? context = _ctx;
}
TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
'GetProjectJobs': TypeInfo(TypeOf.Class, create:() => GetProjectJobs()),
});
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/{id}/jobs HTTP/1.1
Host: www.imglobal.com
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"TargetLanguages":[{"Code":"String","Name":"String","Count":0}],"MediaUrl":"String"}]